Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.javatest.finder
Class ShScriptCommentStream

    java.lang.Object
      com.sun.javatest.finder.CommentStream
          com.sun.javatest.finder.ShScriptCommentStream

    public class ShScriptCommentStream

extends CommentStream

This class extracts all ASCII characters within standard shell script comments. A shell comment begins with a "#" and ends at the end of a line. A single comment is regarded as a continuous set of lines that begin with "#". All leading "#: characters and any preceding blanks or tabs are ignored.

See Also:
  `CommentStream`

Field Summary

Fields inherited from class com.sun.javatest.finder.CommentStream
`cs, fastScan`

Constructor Summary
`ShScriptCommentStream()`

Method Summary
`java.lang.String` | `readComment()` Read the next comment from the input reader.

Methods inherited from class com.sun.javatest.finder.CommentStream
`close, init, setFastScan`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ShScriptCommentStream

    public ShScriptCommentStream()

Method Detail

### readComment

    public java.lang.String readComment()
                                 throws java.io.IOException

  Description copied from class: `CommentStream`
  Read the next comment from the input reader.

  Specified by:
    `readComment` in class `CommentStream`
  Returns:
    The next comment that is read from the stream.
  Throws:
    `java.io.IOException` - if there is a problem while reading the next comment.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 1996, 2010, Oracle and/or its affiliates. All rights reserved.